## org.apache.ivy.core.sort
Class SimpleSortEngineSettings

    java.lang.Object
      org.apache.ivy.core.sort.SimpleSortEngineSettings

All Implemented Interfaces:
  SortEngineSettings

    public class SimpleSortEngineSettings

extends java.lang.Object
implements SortEngineSettings

Constructor Summary
`SimpleSortEngineSettings()`

Method Summary
`CircularDependencyStrategy` `getCircularDependencyStrategy()`
`VersionMatcher` `getVersionMatcher()`
`void` `setCircularDependencyStrategy(CircularDependencyStrategy strategy)`
`void` `setVersionMatcher(VersionMatcher matcher)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSortEngineSettings

    public SimpleSortEngineSettings()

Method Detail

### getCircularDependencyStrategy

    public CircularDependencyStrategy getCircularDependencyStrategy()

  Specified by:
    `getCircularDependencyStrategy` in interface `SortEngineSettings`

### getVersionMatcher

    public VersionMatcher getVersionMatcher()

  Specified by:
    `getVersionMatcher` in interface `SortEngineSettings`

### setCircularDependencyStrategy

    public void setCircularDependencyStrategy(CircularDependencyStrategy strategy)

### setVersionMatcher

    public void setVersionMatcher(VersionMatcher matcher)